Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/cases/$CASE_ID/relationships \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"otherCaseId": 1002 ,
"relationshipType": "POSSIBLE_DUPLICATE",
"reason": "Both cases originate from the same customer email thread."
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/cases/${caseId}/relationships` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"otherCaseId": 1002 ,
"relationshipType": "POSSIBLE_DUPLICATE",
"reason": "Both cases originate from the same customer email thread."
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/cases/{case_id}/relationships" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotency_key},
json={
"otherCaseId": 1002 ,
"relationshipType": "POSSIBLE_DUPLICATE",
"reason": "Both cases originate from the same customer email thread."
},
)200 400 401 403 404 409
{
"relationshipId": 501 ,
"leftCaseId": 1001 ,
"rightCaseId": 1002 ,
"relationshipType": "POSSIBLE_DUPLICATE",
"status": "ACTIVE",
"resourceId": 501 ,
"changes": {
"relationshipStatus": "ACTIVE"
}
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}